Package commoble.bagofyurting

# Class IsWasSprintPacket

java.lang.Object
commoble.bagofyurting.IsWasSprintPacket

public class IsWasSprintPacket extends Object

## Constructor Summary

Constructors
Constructor
Description
`IsWasSprintPacket​(boolean isSprintHeld)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle​(Supplier<net.minecraftforge.fmllegacy.network.NetworkEvent.Context> contextGetter)`
`static IsWasSprintPacket`
`read​(net.minecraft.network.FriendlyByteBuf buf)`
`void`
`write​(net.minecraft.network.FriendlyByteBuf buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsWasSprintPacket

public IsWasSprintPacket​(boolean isSprintHeld)

## Method Details

### write

public void write​(net.minecraft.network.FriendlyByteBuf buf)

### read

public static IsWasSprintPacket read​(net.minecraft.network.FriendlyByteBuf buf)

### handle

public void handle​(Supplier<net.minecraftforge.fmllegacy.network.NetworkEvent.Context> contextGetter)